package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ByodRegistrationDrugRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ByodRegistrationPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ByodRegistrationRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ByodRegistrationSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ByodRegistrationDrugDO;

import java.util.List;
import java.util.Map;

/**
 * 长者自带药登记 Service 接口
 *
 * @author 系统管理员
 */
public interface ByodRegistrationService {


    Long createByodRegistration(ByodRegistrationSaveReqVO createReqVO);

    ByodRegistrationRespVO getByodRegistration(Long id);

    PageResult<ByodRegistrationRespVO> getByodRegistrationPage(ByodRegistrationPageReqVO pageReqVO);

    void deleteByodRegistration(List<Long> ids);

    void updateByodRegistration(ByodRegistrationSaveReqVO updateReqVO);

    Map<String,Object> validDrugs(List<ByodRegistrationDrugDO> drugList);

    PageResult<ByodRegistrationDrugRespVO> getByodRegistrationDrugPage(ByodRegistrationPageReqVO pageReqVO);

    List<ByodRegistrationDrugDO> getByodRegistrationDrugList(Long elderId);
}